Loading...
Searching...
No Matches
common_pair.hpp File Reference

Provides seqan3::common_pair. More...

`#include <seqan3/contrib/std/pair.hpp>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for common_pair.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Typedefs

template<typename t1, typename t2>
using | seqan3::common_pair = seqan::stl::pair<t1, t2>
| A std::pair implementation that incorporates most changes from C++23's standard library.

## Detailed Description

Provides seqan3::common_pair.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>

Hide me